package com.qs.mp.framework.mapper;

import com.qs.mp.framework.domain.AppToken;
import com.qs.mp.framework.domain.AppTokenExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface AppTokenMapper {
    
    int countByExample(AppTokenExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(AppToken record);

    int insertSelective(AppToken record);

    List<AppToken> selectByExample(AppTokenExample example);

    AppToken selectByPrimaryKey(@Param("appId") String appId);

    int updateByExampleSelective(@Param("record") AppToken record, @Param("example") AppTokenExample example);

    int updateByExample(@Param("record") AppToken record, @Param("example") AppTokenExample example);

    int updateByPrimaryKeySelective(AppToken record);

    int updateByPrimaryKey(AppToken record);
}